/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test.aop.bean;

import java.util.List;
/**
 * 
 * 
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.4 $
 */
public interface CacheTesterMBean   
   extends org.jboss.system.ServiceMBean
{
   public String getVMID();
   public int getAge(String key);
   public void setAge(String key, int value);
   public List getHobbies(String key);
   public void addHobby(String key, String hobby);
   public String getCity(String key);
   public void setCity(String key, String city);
}
